

function x_9f() {
var x_9g = document.getElementById('x_3e');
document.getElementById('x_3d').style.display = 'block';	
x_9g.style.height = '262px';
x_9g.style.display = 'block';	
}

function x_9h() {
var x_9g = document.getElementById('x_3g');
document.getElementById('x_3d').style.zIndex = 1101;		
document.getElementById('x_3d').style.display = 'block';	
if (x_9i()) {
x_9j = window.screenLeft + 50;
x_9k = window.screenTop + 50;
} else {
x_9j = window.screenX + 50;
x_9k = window.screenY + 50;
}
var x_9l = document.getElementById('browseButton');
var x_9m = x_9n(x_9l, 'x') - 400;
var x_9o = x_9n(x_9l, 'y') - 225;
var	x_9p = document.body.scrollLeft;
var	x_9q = document.body.scrollTop;
if (x_9o < x_9q) {
x_9o = x_9q;
}
if (x_9m < x_9p) {
x_9m = x_9p;
}
x_9g.style.top = x_9o + 'px';
x_9g.style.left = x_9m + 'px';
x_9g.style.display = 'block';
var x_9r = new Date();
document.getElementById('executeIt').src = '/browserSmall.php?mode=get&type=browserSmall&ver=' + x_9r.getTime();
}

function x_3t(x_9s) {
var x_9g = document.getElementById('x_3g');
if (typeof x_9s != 'undefined') {
if (document.getElementById('BStextBox') && document.getElementById('textBox')) {
document.getElementById('textBox').value = document.getElementById('BStextBox').value;
document.getElementById('textBox').focus();
}
}
document.getElementById('x_3d').style.zIndex = 1099;
document.getElementById('x_3g').style.display = 'none';		
}

function x_9t(x_9u, x_9v) {
var x_9g = document.getElementById('x_3e');
if (x_9u != 'prodInfo') {
var x_9m = 214;
var x_9o = 246;
var	x_9p = document.body.scrollLeft;
var	x_9q = document.body.scrollTop;
x_9g.style.height = x_9v + 'px';
x_9g.style.width = 402 + 'px';
} else {
x_9g.style.height = 282 + 'px';
x_9g.style.width = 392 + 'px';
var x_9m = 380;
var x_9o = 50;
var	x_9p = document.body.scrollLeft;
var	x_9q = document.body.scrollTop;
}
if (x_9o < x_9q) {
x_9o = x_9q;
}
if (x_9m < x_9p) {
x_9m = x_9p;
}
x_9g.style.top = x_9o + 'px';
x_9g.style.left = x_9m + 'px';
x_9g.style.display = 'block';	
document.getElementById('x_3d').style.display = 'block';	
}

function x_43() {
document.getElementById('x_3e').style.display = 'none';	
document.getElementById('x_3d').style.display = 'none';	
}
 
function x_9w(x_9x, x_8a, x_9y, x_9z) {
if (!x_9z) {
var x_9z = '/dialog.php';
}
var x_a0 = 'type=' + x_9x;
if (typeof x_8a != 'undefined') {
x_a0 = x_a0 + '&path=' + x_8a;
}
if (typeof x_9y != 'undefined') {
x_a0 = x_a0 + '&errorNumber=' + x_9y;
}
x_a1 = {
method: 'get',
parameters: x_a0,
onComplete: x_a2
};
x_a3 = new Ajax.Request(x_9z, x_a1);
}
 
function x_a2(x_a4) {
var x_9u = x_a4.getResponseHeader('Type');	
switch (x_9u) {
case 'create':
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9t(x_9u, 272);
break;
case 'rename':
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9t(x_9u, 262);
x_a5();
break;
case 'copy':case 'move':
case 'delete':		
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9t(x_9u, 322);
x_a6();
break;
case 'addToBookmarks':case 'bookmarkInsert':
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9t(x_9u, 252);
break;
case 'bookmarkEdit':
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9t(x_9u, 252);
x_a7();
break;
case 'bookmarkDelete':
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9t(x_9u, 252);
x_a8();
break;
case 'browserError':
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9f();
break;
case 'browserSmall':
document.getElementById('x_3g').innerHTML = x_a4.responseText;
x_9h();
break;
case 'prodInfo':
document.getElementById('x_3e').innerHTML = x_a4.responseText;
x_9t(x_9u);
break;
}
if (x_9u != 'browserSmall') {
x_a9(document.getElementById('x_3f'), document.getElementById('x_3e'));
} else {
x_a9(document.getElementById('x_3h'), document.getElementById('x_3g'));
}
}

function x_a6() {
document.getElementById('browserForm').target = 'executeIt';
document.getElementById('browserForm').action = 'inc/getValues.php?mode=copy';
document.getElementById('browserForm').submit();
}

function x_a5() {
document.getElementById('browserForm').target = 'executeIt';
document.getElementById('browserForm').action = 'inc/getValues.php?mode=rename';
document.getElementById('browserForm').submit();
}

function x_a7() {
document.getElementById('browserForm').target = 'executeIt';
document.getElementById('browserForm').action = 'inc/getValues.php?mode=bookmarkEdit';
document.getElementById('browserForm').submit();
}

function x_a8() {
document.getElementById('browserForm').target = 'executeIt';
document.getElementById('browserForm').action = 'inc/getValues.php?mode=bookmarkDelete';
document.getElementById('browserForm').submit();
}

function x_39(x_aa, x_ab, x_ac) {
var x_ad = 0;
var x_ae = 400;
var x_af = 450;
switch (x_aa) {
case 'create':case 'rename':
case 'delete':
case 'copy':
case 'move':
case 'addToBookmarks':
case 'bookmarkDelete':
case 'bookmarkInsert':
case 'bookmarkEdit':
case 'browserError':
x_9w(x_aa, x_ab, x_ac);
break;
case 'browserSmall':
x_9w(x_aa, x_ab);
break;
case 'upload':
var x_af = 245;
var x_ag = '/dialog.php?type=' + x_aa;
x_ad = 1;
x_ah = window.open(x_ag, "", 
"width=" + x_ae + ", height=" + x_af + ",  top=400, left=400, location=no, menubar=no, resizable=no, scrollbars=no, status=no, titlebar=no, toolbar=no");
break;
case 'prodInfo':
x_9w('', '', '', 'prodInfo.php')
break;
}
}
